import 'basic_response.dart';
import 'package:json_annotation/json_annotation.dart';

import 'discount_add_response.dart';

part 'discount_remove_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class DiscountRemoveResponseDTO extends BasicResponseDTO {
  DiscountRemoveResponseDTO(
      {
        required this.receipt,
        required super.succeeded,
        required super.message});

  PriceInformation receipt;

  factory DiscountRemoveResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$DiscountRemoveResponseDTOFromJson(json);

  @override
  Map<dynamic, dynamic> toJson() => _$DiscountRemoveResponseDTOToJson(this);
}